获取账号名单项
curl --request GET \
--url https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}/{entry} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}/{entry}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}/{entry}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"entry": "<string>",
"organization_id": "<string>",
"direction": "send",
"list_type": "allow",
"entry_type": "email",
"created_at": "2023-11-07T05:31:56Z",
"reason": "<string>",
"read_only": true
}{
"name": "<string>",
"message": "<string>"
}列表
获取账号名单项
获取一条账号级放行/拦截名单项:entry、entry_type、reason、direction、list_type、created_at、read_only 和 organization_id。
GET
https://api.aisa.one/apis/v1
/
agentmail
/
lists
/
{direction}
/
{type}
/
{entry}
获取账号名单项
获取一条账号级放行/拦截名单项:
entry、entry_type、reason、direction、list_type、created_at、read_only 和 organization_id。read_only 为 true 表示平台托管、无法删除。这是账号级视图,跨越账号下的每一个收件箱。所有 AIsa 调用方共用同一个 AgentMail 账号,因此这里会触及其他调用方创建的收件箱;只针对单个收件箱时请用收件箱级的孪生工具 get_agentmail_inbox_list_entry。
示例
curl -X GET "https://api.aisa.one/apis/v1/agentmail/lists/{direction}/{type}/{entry}" \
-H "Authorization: Bearer YOUR_API_KEY"
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求头
Bearer 身份验证
路径参数
列表条目的方向。
可用选项:
send, receive, reply 列表条目的类型。
可用选项:
allow, block 电子邮件地址或域名。
响应
状态码为 200 的响应
列表条目的电子邮件地址或域名。
组织 ID。
列表条目的方向。
可用选项:
send, receive, reply 列表条目的类型。
可用选项:
allow, block 该条目是电子邮件地址还是域名。
可用选项:
email, domain 条目创建时间。
添加该条目的原因。
该条目是否为只读且无法通过 API 删除。